package com.chelvc.cloud.vehicle.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class OmsOrderReturnApplyIdsDTO implements Serializable {

    private static final long serialVersionUID = -6400571350996131623L;

    /**
     * 退款订单标识
     */
    private Long id;

    /**
     * 申请时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;
}
