package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chelvc.cloud.vehicle.api.dto.RankAwardConfigDTO;
import com.chelvc.cloud.vehicle.server.entity.RankAwardConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface RankAwardConfigMapper extends BaseMapper<RankAwardConfig> {

    IPage<RankAwardConfigDTO> queryPageList(@Param("page") Page<RankAwardConfigDTO> page,
                                            @Param(Constants.WRAPPER) QueryWrapper<RankAwardConfig> wrapper);

    List<RankAwardConfig> checkOtherRankConfig(@Param("page") Integer type, @Param("page") Integer platformType,
                                               @Param("page") int rankHigh, @Param("page") int rankLow, @Param("id") Long id);

    @Select("select * from rank_award_config where id = #{id}")
    RankAwardConfig queryById(@Param("id")Long id);
}
