package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.api.dto.TeamDTO;
import com.chelvc.cloud.vehicle.api.dto.TeamDetailsDTO;
import com.chelvc.cloud.vehicle.server.entity.UserInvite;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserInviteMapper extends BaseMapper<UserInvite> {
    List<TeamDetailsDTO> teamList(@Param("type") Integer type, @Param("pageNum") int pageNum,
                                              @Param("pageSize") int pageSize, @Param("userId") Long userId);

    TeamDTO teamTotalStatistics(@Param("type") Integer type, @Param("userId") Long userId);
}
