package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.api.dto.OmsOrderDTO;
import com.chelvc.framework.common.model.Pagination;
import com.chelvc.framework.common.model.Paging;

public interface OmsOrderPayHistoryService {

    /**
     * 查看信息数
     * @param userId
     */
    Integer queryNewInformNum(Long userId);

    /**
     * 将新支付通知标识更改
     *
     * @param userId 用户id
     */
    void changeUserPayInformFlag(Long userId);

    /**
     * 查看支付信息
     * @param userId
     * @param paging
     * @return
     */
    Pagination<OmsOrderDTO> selectOmsOrderPayHistoryListByUserId(Long userId, Paging paging);
}
